Imagick::getPixelIterator
Imagick::getPointSize
The Imagick class
PHP Manual

# Imagick::getPixelRegionIterator

(PECL imagick 2.0.0)

Imagick::getPixelRegionIterator — Get an ImagickPixelIterator for an image section

### Description

ImagickPixelIterator Imagick::getPixelRegionIterator ( int `$x` , int `$y` , int `$columns` , int `$rows` )
Warning

This function is currently not documented; only its argument list is available.

Get an ImagickPixelIterator for an image section.

### Parameters

`x`

  The x-coordinate of the region.

`y`

  The y-coordinate of the region.

`columns`

  The width of the region.

`rows`

  The height of the region.

### Return Values

Returns an ImagickPixelIterator for an image section. Throw an ImagickException on error.

Imagick::getPixelIterator
Imagick::getPointSize
The Imagick class
PHP Manual